<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'theme_evolved', language 'en', version '2.7'.
 *
 * @package     theme_evolved
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['allclasses'] = 'All Classes';
$string['allcourses'] = 'All Courses';
$string['allmodules'] = 'All Modules';
$string['allunits'] = 'All Units';
$string['alwaysdisplay'] = 'Always Show';
$string['backgroundcover'] = 'Background Full Screen';
$string['backgroundcover_desc'] = 'Use this setting to make the image full screen.  Best if used with fixed image turned on as well.';
$string['backgroundfixed'] = 'Background fixed';
$string['backgroundfixed_desc'] = 'Use this setting to fix the background image to the page.';
$string['backgroundimage'] = 'Background image';
$string['backgroundimage_desc'] = 'The image to display as a background of the site.';
$string['backgroundposition'] = 'Background position';
$string['backgroundposition_desc'] = 'The position of the background image.';
$string['backgroundpositioncenterbottom'] = 'Center bottom';
$string['backgroundpositioncentercenter'] = 'Center center';
$string['backgroundpositioncentertop'] = 'Center top';
$string['backgroundpositionleftbottom'] = 'Left bottom';
$string['backgroundpositionleftcenter'] = 'Left center';
$string['backgroundpositionlefttop'] = 'Left top';
$string['backgroundpositionrightbottom'] = 'Right bottom';
$string['backgroundpositionrightcenter'] = 'Right center';
$string['backgroundpositionrighttop'] = 'Right top';
$string['backgroundrepeat'] = 'Background repeat';
$string['backgroundrepeat_desc'] = 'Defines the way the background image will be repeated.';
$string['backgroundrepeatnorepeat'] = 'No repeat';
$string['backgroundrepeatrepeat'] = 'Repeat';
$string['backgroundrepeatrepeatx'] = 'Repeat horizontally';
$string['backgroundrepeatrepeaty'] = 'Repeat vertically';
$string['bodybackground'] = 'Background colour';
$string['bodybackground_desc'] = 'The main colour to use for the background.';
$string['choosereadme'] = '<p>evolve-D is a beautiful, stylish, and smart theme designed to build upon and enhance the core theme More. Dearborn Public Schools is a K-12 school distict in Dearborn, Michigan.  </p>
<p>The base theme is More and we borrowed features from Aardvark and Essential themes to add style and functionality.  Special thanks to Shaun Daubney and Julian Ridden for thier work which is copied here with sincerest of flattery to their amazing work.</p>';
$string['configtitle'] = 'evolved';
$string['contentbackground'] = 'Main content background colour';
$string['contentbackground_desc'] = 'The background colour of the main content of the site, leave empty for none.';
$string['customcss'] = 'Custom CSS';
$string['customcssdesc'] = 'Whatever CSS rules you add to this textarea will be reflected in every page, making for easier customization of this theme.';
$string['custommenudesc'] = 'Settings here allow you to add new dynamic functionality to the custommenu (also refered to as Dropdown menu)';
$string['custommenuheading'] = 'Custom Menu';
$string['custommenuheadingsub'] = 'Add additional functionality to your custommenu.';
$string['displayafterlogin'] = 'Show after login only';
$string['displaybeforelogin'] = 'Show before login only';
$string['displaymycourses'] = 'Display enrolled courses';
$string['displaymycoursesdesc'] = 'Display enrolled courses for users in the Custom Menu';
$string['displaymydashboard'] = 'Display Dashboard';
$string['displaymydashboarddesc'] = 'Display Dashboard of user links in the Custom Menu';
$string['dontdisplay'] = 'Never Show';
$string['fontselect'] = 'Font Selector';
$string['fontselectdesc'] = 'Choose from the list of availble font combinations. You can choose here to disable Google fonts if needed.';
$string['footnote'] = 'Footnote';
$string['footnotedesc'] = 'Whatever you add to this textarea will be displayed in the footer throughout your Moodle site.';
$string['fpbkg'] = 'Frontpage background image';
$string['fpbkgdesc'] = 'Upload an image to cover the entire background of the page.';
$string['fpoff'] = 'Turn off custom frontpage';
$string['fpon'] = 'Turn on custom frontpage';
$string['fptext'] = 'Frontpage Textbox';
$string['fptextdesc'] = 'Whatever you add to this textarea will be displayed on the custom homepage below the main navigation icons.';
$string['frontpageheading'] = 'Frontpage Options';
$string['geneicsettings'] = 'General Settings';
$string['generalalert'] = 'General Alert';
$string['generalalertdesc'] = 'This will display an alert on your frontpage to advise users of a particular event/situation.';
$string['invert'] = 'Invert navbar';
$string['invertdesc'] = 'Swaps text and background for the navbar at the top of the page between black and white.';
$string['linkcolor'] = 'Link colour';
$string['linkcolor_desc'] = 'The colour of the links.';
$string['logo'] = 'Logo';
$string['logodesc'] = 'Please upload your custom logo here if you want to add it to the header.<br>
If the height of your logo is mimoodle than 75px add the following CSS rule to the Custom CSS box below.<br>
a.logo {height: 100px;} or whatever height in pixels the logo is.';
$string['marketboxcolor'] = 'Marketing Box background colour';
$string['marketboxcolor_desc'] = 'The colour of the background for the marketing box.';
$string['marketing1'] = 'Marketing Spot One';
$string['marketing2'] = 'Marketing Spot Two';
$string['marketing3'] = 'Marketing Spot Three';
$string['marketingbuttontext'] = 'Link Text';
$string['marketingbuttontextdesc'] = 'Text to appear on the button.';
$string['marketingbuttonurl'] = 'Link URL';
$string['marketingbuttonurldesc'] = 'URL the button will point to.';
$string['marketingcontent'] = 'Content';
$string['marketingcontentdesc'] = 'Content to display in the marketing box. Keep it short and sweet.';
$string['marketingdesc'] = 'This theme provides the option of enabling three "marketing" or "ad" spots just under the slideshow.  These allow you to easily identify core information to your users and provide direct links.';
$string['marketingheading'] = 'Marketing Spots';
$string['marketingheadingsub'] = 'Three locations on the front page to add information and links';
$string['marketingheight'] = 'Height of Marketing Images';
$string['marketingheightdesc'] = 'If you want to display images in the Marketing boxes you can specify their hight here.';
$string['marketingicon'] = 'Icon';
$string['marketingicondesc'] = 'Name of the icon you wish to use. List is <a href="http://fortawesome.github.io/Font-Awesome/cheatsheet/" target="_new">here</a>.  Just enter what is after "fa-", e.g. "star".';
$string['marketingimage'] = 'Image';
$string['marketingimagedesc'] = 'This provides the option of displaying an image above the text in the marketing spot';
$string['marketinginfodesc'] = 'Enter the settings for your marketing spot.';
$string['marketingtitle'] = 'Title';
$string['marketingtitledesc'] = 'Title to show in this marketing spot';
$string['marketingurltarget'] = 'Link Target';
$string['marketingurltargetdesc'] = 'Choose how the link should be opened';
$string['marketingurltargetnew'] = 'New Page';
$string['marketingurltargetparent'] = 'Parent Frame';
$string['marketingurltargetself'] = 'Current Page';
$string['myclasses'] = 'My Classes';
$string['mycourses'] = 'My Courses';
$string['mycoursesinfo'] = 'Dynamic Enrolled Courses List';
$string['mycoursesinfodesc'] = 'Displays a dynamic list of enrolled courses to the user.';
$string['mycoursetitle'] = 'Terminology';
$string['mycoursetitledesc'] = 'Change the terminology for the "My Courses" link in the dropdown menu';
$string['mydashboard'] = 'My Dashboard';
$string['mydashboardinfo'] = 'Custom User Dashboard';
$string['mydashboardinfodesc'] = 'Displays a list of common functions used by users.';
$string['mymodules'] = 'My Modules';
$string['myunits'] = 'My Units';
$string['noenrolments'] = 'You have no current enrolments';
$string['pluginname'] = 'evolve-D';
$string['region-side-post'] = 'Right';
$string['region-side-pre'] = 'Left';
$string['secondarybackground'] = 'Secondary background colour';
$string['secondarybackground_desc'] = 'The background colour of any secondary content, such as blocks.';
$string['snowalert'] = 'Snow Alert';
$string['snowalertdesc'] = 'This will display an alert on your frontpage to advise users of closures or information regarding inclement weather.';
$string['textcolor'] = 'Text colour';
$string['textcolor_desc'] = 'The colour of the text.';
$string['themecolorsettings'] = 'Theme Colors';
$string['togglefp'] = 'Frontpage Toggle';
$string['togglefpdesc'] = 'Turn on or off the custom de-cluttered homepage.';
$string['togglemarketing'] = 'Toggle Marketing Spot display';
$string['togglemarketingdesc'] = 'Choose if you wish to hide or show the three Marketing Spots.';
